--- meson.build.orig	2024-12-07 17:35:45.000000000 -0500
+++ meson.build	2024-12-07 17:35:32.000000000 -0500
@@ -230,6 +230,17 @@
 conf = configuration_data()
 incconfig = include_directories('.')
 
+# Disable legacy non-underscore macros, defined by AssertMacros.h, on older macOS releases; fixes:
+#   ../harfbuzz-10.1.0/src/hb-buffer.hh:214:9: error: too many arguments provided to function-like macro invocation
+#     214 |                hb_font_t          *font,
+#         |                ^
+#   /usr/include/AssertMacros.h:1339:11: note: macro 'verify' defined here
+#     1339 |                 #define verify(assertion) __Verify(assertion)
+#          |                         ^
+if host_machine.system() == 'darwin'
+    conf.set('__ASSERTMACROS__', 1)
+endif
+
 add_project_arguments('-DHAVE_CONFIG_H', language: ['c', 'cpp'])
 
 warn_cflags = [
